diff -r -c -N irc2.8.21+CSr10/common/parse.c irc2.8.21+CSr11/common/parse.c
*** irc2.8.21+CSr10/common/parse.c	Mon Aug 21 03:55:05 1995
--- irc2.8.21+CSr11/common/parse.c	Sat Sep 23 03:35:24 1995
***************
*** 491,498 ****
  		sptr->from->name, get_client_name(cptr, TRUE));
  	if (IsServer(sptr) || IsMe(sptr))
  	{ 
! 		sendto_ops("Not dropping link: %s", cptr->name);
! 		return -1;
  	}
  	if (IsServer(cptr))
  	{
--- 491,498 ----
  		sptr->from->name, get_client_name(cptr, TRUE));
  	if (IsServer(sptr) || IsMe(sptr))
  	{ 
! 		sendto_ops("Dropping link for fake direction: %s", cptr->name);
! 		return exit_client(cptr, cptr, &me, "Fake Direction");
  	}
  	if (IsServer(cptr))
  	{
diff -r -c -N irc2.8.21+CSr10/common/send.c irc2.8.21+CSr11/common/send.c
*** irc2.8.21+CSr10/common/send.c	Mon Aug 21 03:58:02 1995
--- irc2.8.21+CSr11/common/send.c	Mon Aug 28 12:43:11 1995
***************
*** 1004,1010 ****
  		(void)exit_client(NULL, to, &me, "Ghost");
  		if (IsPerson(from))
  			sendto_one(from, err_str(ERR_GHOSTEDCLIENT),
! 				me.name, to->name);
                  return;
  	} 
  	if (to && from && MyClient(to) && IsPerson(from) &&
--- 1004,1010 ----
  		(void)exit_client(NULL, to, &me, "Ghost");
  		if (IsPerson(from))
  			sendto_one(from, err_str(ERR_GHOSTEDCLIENT),
! 				me.name, from->name, to->name);
                  return;
  	} 
  	if (to && from && MyClient(to) && IsPerson(from) &&
diff -r -c -N irc2.8.21+CSr10/include/comstud.h irc2.8.21+CSr11/include/comstud.h
*** irc2.8.21+CSr10/include/comstud.h	Mon Aug 21 03:55:06 1995
--- irc2.8.21+CSr11/include/comstud.h	Mon Aug 28 12:48:36 1995
***************
*** 27,33 ****
                        just #undef if you think it's unneeded =)
  */
  
! #define DBUF_INIT 1000
  
  /* IDENTD_ONLY      - define this if you only want people running
                        identd to connect
--- 27,34 ----
                        just #undef if you think it's unneeded =)
  */
  
! /* #define DBUF_INIT 1000 */
! #undef DBUF_INIT
  
  /* IDENTD_ONLY      - define this if you only want people running
                        identd to connect
***************
*** 177,183 ****
                         want them logged
  */
  
! #define FNAME_FAILED_OPER "/home/irc/irc2.8.21+CSr10/lib/logs/failed.log"
  
  /* CLIENT_NOTICES - define this if you wish to see client connecting
                      and exiting notices via /umode +c
--- 178,184 ----
                         want them logged
  */
  
! #define FNAME_FAILED_OPER "/home/irc/irc2.8.21+CSr11/lib/logs/failed.log"
  
  /* CLIENT_NOTICES - define this if you wish to see client connecting
                      and exiting notices via /umode +c
***************
*** 261,267 ****
                      and you wish to log clones
  */
  
! #define FNAME_CLONELOG "/home/irc/irc2.8.21+CSr10/logs/clones.log"
  
  /* DEFAULT_IDLELIMIT  - if you have CHECK_IDLE defined above,
                          this value is the default # a client
--- 262,268 ----
                      and you wish to log clones
  */
  
! #define FNAME_CLONELOG "/home/irc/irc2.8.21+CSr11/logs/clones.log"
  
  /* DEFAULT_IDLELIMIT  - if you have CHECK_IDLE defined above,
                          this value is the default # a client
diff -r -c -N irc2.8.21+CSr10/include/config.h irc2.8.21+CSr11/include/config.h
*** irc2.8.21+CSr10/include/config.h	Mon Aug 21 03:55:06 1995
--- irc2.8.21+CSr11/include/config.h	Mon Aug 28 12:48:45 1995
***************
*** 107,114 ****
   * these are only the recommened names and paths. Change as needed.
   * You must define these to something, even if you don't really want them.
   */
! #define	DPATH	"/home/irc/irc2.8.21+CSr10/lib"	/* dir where all ircd stuff is */
! #define	SPATH	"/home/irc/irc2.8.21+CSr10/lib/ircd"
  #define	CPATH	"ircd.conf"	/* server configuration file */
  #define	MPATH	"ircd.motd"	/* server MOTD file */
  #define	LPATH	"ircd.log" /* Where the debug file lives, if DEBUGMODE */
--- 107,114 ----
   * these are only the recommened names and paths. Change as needed.
   * You must define these to something, even if you don't really want them.
   */
! #define	DPATH	"/home/irc/irc2.8.21+CSr11/lib"	/* dir where all ircd stuff is */
! #define	SPATH	"/home/irc/irc2.8.21+CSr11/lib/ircd"
  #define	CPATH	"ircd.conf"	/* server configuration file */
  #define	MPATH	"ircd.motd"	/* server MOTD file */
  #define	LPATH	"ircd.log" /* Where the debug file lives, if DEBUGMODE */
***************
*** 122,129 ****
   * successful use of /oper.  These are either full paths or files within DPATH.
   */
  
! #define FNAME_USERLOG "/home/irc/irc2.8.21+CSr10/logs/users.log" /* */
! #define FNAME_OPERLOG "/home/irc/irc2.8.21+CSr10/logs/opers.log" /* */
  
  /* CHROOTDIR
   *
--- 122,129 ----
   * successful use of /oper.  These are either full paths or files within DPATH.
   */
  
! #define FNAME_USERLOG "/home/irc/irc2.8.21+CSr11/logs/users.log" /* */
! #define FNAME_OPERLOG "/home/irc/irc2.8.21+CSr11/logs/opers.log" /* */
  
  /* CHROOTDIR
   *
diff -r -c -N irc2.8.21+CSr10/include/patchlevel.h irc2.8.21+CSr11/include/patchlevel.h
*** irc2.8.21+CSr10/include/patchlevel.h	Mon Aug 21 03:55:06 1995
--- irc2.8.21+CSr11/include/patchlevel.h	Mon Aug 28 12:42:56 1995
***************
*** 17,21 ****
   */
  
  #ifndef	PATCHLEVEL
! #define PATCHLEVEL "2.8.21+CSr10"
  #endif
--- 17,21 ----
   */
  
  #ifndef	PATCHLEVEL
! #define PATCHLEVEL "2.8.21+CSr11"
  #endif
diff -r -c -N irc2.8.21+CSr10/ircd/ircd.c irc2.8.21+CSr11/ircd/ircd.c
*** irc2.8.21+CSr10/ircd/ircd.c	Mon Aug 21 05:35:58 1995
--- irc2.8.21+CSr11/ircd/ircd.c	Mon Aug 28 12:45:49 1995
***************
*** 488,494 ****
--- 488,496 ----
  	int	portarg = 0;
  	uid_t	uid, euid;
  	time_t	delay = 0, now;
+ #ifndef AIX
          struct rlimit r;
+ #endif
  #ifdef DOG3
  	int mainloops=0; /* counter of how many times we have gone through
                             the main loop */
***************
*** 497,505 ****
--- 499,509 ----
  #ifdef DBUF_INIT
          dbuf_init(); /* set up some dbuf stuff to control paging */
  #endif
+ #ifndef AIX
          r.rlim_cur = MAXCONNECTIONS;
          r.rlim_max = MAXCONNECTIONS;
          setrlimit(RLIMIT_NOFILE, &r);
+ #endif
  #ifdef IDLE_CHECK
          idlelimit = DEFAULT_IDLELIMIT*60;
  #endif
diff -r -c -N irc2.8.21+CSr10/ircd/s_err.c irc2.8.21+CSr11/ircd/s_err.c
*** irc2.8.21+CSr10/ircd/s_err.c	Mon Aug 21 03:55:07 1995
--- irc2.8.21+CSr11/ircd/s_err.c	Mon Aug 28 12:44:51 1995
***************
*** 130,136 ****
  		0, (char *)NULL, 0, (char *)NULL,
  /* 501 */	ERR_UMODEUNKNOWNFLAG, ":Unknown MODE flag",
  /* 502 */	ERR_USERSDONTMATCH, ":Cant change mode for other users",
! /* 503 */	ERR_GHOSTEDCLIENT, "%s :Message could not be delivered to %s",
  		0, (char *)NULL
  };
  
--- 130,136 ----
  		0, (char *)NULL, 0, (char *)NULL,
  /* 501 */	ERR_UMODEUNKNOWNFLAG, ":Unknown MODE flag",
  /* 502 */	ERR_USERSDONTMATCH, ":Cant change mode for other users",
! /* 503 */	ERR_GHOSTEDCLIENT, ":Message could not be delivered to %s",
  		0, (char *)NULL
  };
  
***************
*** 294,300 ****
  	Reg2	int	num = numeric;
  
  	num -= numeric_errors[0].num_val;
! 	if (num < 0 || num > ERR_USERSDONTMATCH)
  		(void)irc_sprintf(numbuff,
  			":%%s %d %%s :INTERNAL ERROR: BAD NUMERIC! %d",
  			numeric, num);
--- 294,300 ----
  	Reg2	int	num = numeric;
  
  	num -= numeric_errors[0].num_val;
! 	if (num < 0 || num > 599)
  		(void)irc_sprintf(numbuff,
  			":%%s %d %%s :INTERNAL ERROR: BAD NUMERIC! %d",
  			numeric, num);
